Package org.eclipse.jface.viewers

## Interface ICellEditorListener

    public interface ICellEditorListener

A listener which is notified of significant events in the life of a cell editor.

This interface should be implemented by classes that wish to react to cell editor activity.

Note: the cell editor is not passed as a parameter to any of these methods; so the assumption is that the listener knows which cell editor is talking to it.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `applyEditorValue()` Notifies that the end user has requested applying a value.
`void` `cancelEditor()` Notifies that the end user has canceled editing.
`void` `editorValueChanged​(boolean oldValidState, boolean newValidState)` Notifies that the end user is changing the value in the cell editor.

### Method Detail

#### applyEditorValue

    void applyEditorValue()

Notifies that the end user has requested applying a value. All cell editors send this notification.

The normal reaction is to update the model with the current cell editor value. However, if the value is not valid, it should not be applied. A typical text-based cell editor would send this message when the end user hits Return, whereas other editors would send it whenever their value changes.

#### cancelEditor

    void cancelEditor()

Notifies that the end user has canceled editing. All cell editors send this notification. A listener should not update the model based on this notification; see `applyEditorValue`.

#### editorValueChanged

    void editorValueChanged​(boolean oldValidState,
                            boolean newValidState)

Notifies that the end user is changing the value in the cell editor. This notification is normally sent only by text-based editors in response to a keystroke, so that the listener may show an error message reflecting the current valid state. This notification is sent while the value is being actively edited, before the value is applied or canceled. A listener should not update the model based on this notification; see `applyEditorValue`.

If the `newValidState` parameter is `true`, the new value may be retrieved by calling `ICellEditor.getValue` on the appropriate cell editor.

Parameters:
  `oldValidState` - the valid state before the end user changed the value
  `newValidState` - the current valid state